/**================================
Frontend CSS file - by LWEGATECH
==================================**/
:root {
  --abc-font: 'Roboto', sans-serif;
  --abc-font-2: 'DM Sans', sans-serif;
  --abc-base: #cf173c;
  --abc-base-rgb: 207, 23, 60;
  --abc-gray: #7f7873;
  --abc-gray-rgb: 127, 120, 115;
  --abc-white: #ffffff;
  --abc-white-rgb: 255, 255, 255;
  --abc-black: #1a1c23;
  --abc-black-rgb: 26, 28, 35;
  --abc-primary: #CC0001;
  --abc-font-size: 16px;
}
* {
margin: 0;
padding: 0;
-webkit-font-smoothing: antialiased;
-webkit-text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
}
html,
body{
font-family: var(--abc-font);
font-size: var(--abc-font-size);
height: 100%;margin:0;

}
.btn-primary{color: #fff; background: var(--abc-primary) !important;}
.btn-primary:hover{color: #fff; background: #5f0404 !important;}
.abc-title{color: var(--abc-primary);font-weight: 600;}
@media only screen and (min-width: 600px) {
.container {
  width: 90% !important;
}
}
@media only screen and (min-width: 1300px) {
.container {
  width: 88% !important;
  max-width: unset !important;
}
}
a:hover {
  color: var(--abc-primary);
} 
a,
a:hover,
a:visited,
a:active,
a:link {
text-decoration: none;
-webkit-font-smoothing: antialiased;
-webkit-text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
text-shadow: rgba(0, 0, 0, .01) 0 0 1px;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6{
  margin: 0;
  font-family: 'Anton', sans-serif;
  font-weight: 600;
} 
p {
  margin: 0;
  font-weight: 300;line-height: initial;
}
a{color: #CC0001;}
a, a:hover{text-decoration: none;}
::-webkit-scrollbar {width: 8px; background:#5f0404;}
::-webkit-scrollbar-thumb {	background: #CC0001; }
.footer{margin: 0 auto;}
.footer .nav-item{color:#333}
.pwdview{position: absolute;right: 0;padding-right:5px;z-index: 10;}
#password-strength-feedback{font-size: 12px;}
/*===========================================================
# Back to top button
===========================================================*/
.back-to-top {  position: fixed;  visibility: hidden;  opacity: 0;  right: 15px;  bottom: 15px;  z-index: 99999;  background: #CC0001;  width: 40px;  height: 40px;  border-radius: 4px;  transition: all 0.4s;}
.back-to-top i {  font-size: 24px;  color: #fff;  line-height: 0;}
.back-to-top:hover {background: #ee7a3f;  color: #fff;}
.back-to-top.active {visibility: visible;  opacity: 1;}

/**Boucing ball **/
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.90);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.bounce-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.bounce-ball {
  width: 15px;
  height: 15px;
  background-color: #FF5733;
  border-radius: 50%;
  margin: 0 5px;
  animation: bounce 1s infinite;
}

.bounce-ball:nth-child(1) {
  animation-delay: 0s;
}

.bounce-ball:nth-child(2) {
  animation-delay: 0.33s;
}

.bounce-ball:nth-child(3) {
  animation-delay: 0.66s;
}

@keyframes bounce {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-50px);
  }
  100% {
    transform: translateY(0);
  }
}

/** ============================================================
LOGIN PAGE
==============================================================**/
.login{
  background: linear-gradient(to right, rgba(212, 249, 35, 0.22), rgba(242, 234, 234, 0.8), rgba(241, 242, 204, 0.8), rgba(244, 230, 230, 0.8) );
}

.login .container{max-width: 350px !important;margin:0 auto;border-radius:10px !important;background-color:rgba(253, 253, 253, 0.90);margin-bottom: 80px;}
.login h4{color: #eee;}
.login a{color: #F90000;}
.login .loginbox:before {
  box-shadow: inset 0 0 2000px rgba(255, 255, 255, .5);
  filter: blur(10px);
  background: inherit;
}
.login .btn-login{border-radius: 40px; color: #fff; padding:15px; background-color: #F90000; border-color: #F90000;}
.login .icon{border-radius: 50%; padding: 10px 12px; font-size: 15px;}
.login .f{background: #3b5998; color: #fff;}
.login .g{background: #ea4335; color: #fff;}
.login .t{background: #00acee; color: #fff;}
.login .header{background-color: #000;color:#fff;margin-bottom: 80px;height: 60px;padding-top:5px;padding-bottom:5px}
.login .header a{color: #d2abab;font-size: small;}
footer{background-color: #d4d1d1;color:#7f7873;font-size: smaller;}
footer a{color: #7f7873 !important;}








/** ===========================================
* Mobile Version
*============================================***/

@media screen and (max-width: 992px) {
.stellarnav > ul > li > a {
  padding: 20px 18px !important;
  font-weight: 500;
  font-size: 15px;
}
.card-product .product-img {
  width: 100%;
  height: 150px;
  object-fit: contain;
}
.featured_products .deals img {
  width: 100%;
  height: 250px;
  padding: 15px;
  object-fit: contain;
}
.featured_products h3{
  font-size: 18px;
}
.category img {
  width: 100%;
  height: 150px;
  object-fit: contain;
}
}

/**Small devices (landscape phones, 576px and up)**/
@media (max-width: 576px) 
{ 
  .login .container {max-width: 320px !important;font-size: 14px;}
  .login .loginbox {width: 100%;color: var(--abc-black);padding: 40px;background: #fff;box-shadow: 0 0 1rem 0 rgba(0, 0, 0, .2); }
  .login-page{background-image:url(../images/bg1.png);background-repeat: no-repeat;background-size: auto;object-fit: fill;object-position: center;background-position: center;margin-top: 10%;}
  .card.horizontal {display: block !important;}
  .card.horizontal .card-image img {min-width: 300px !important;max-width: 400px !important; object-fit: cover; }
  .navbar-collapse {position: fixed;top: 0;right: 0;height: 100%;width: 80%;background: #190101;z-index: 99;
    padding-top: 1rem;transition: transform 0.3s ease-in-out;transform: translateX(100%);}
.navbar-collapse.show {transform: translateX(0);}
.top-menu {display: flex;flex-direction: column;list-style: none;padding-left: 0;}
.top-menu .nav-item {border-bottom: 1px solid #444;position: relative;}
.nav-link {line-height: 35px;}
.dropdown-menu {padding: 1rem;margin-top: 0.5rem;border-radius: 4px;}
.dropdown-item {color: #fff;padding: 0.5rem 1rem;line-height: unset !important;background: rgb(220, 20, 60);}
.dropdown-item:hover {background: #333;}
.dropdown-arrow {font-size: 0.8rem;right:0;margin-left: 1.5rem;color: #ccc;}
.nav-item.show > .dropdown-menu {display: contents;}
.dropdown-arrow {font-size: 0.8rem;margin-left: 0.5rem;}



  footer{ font-size:12px;background-color: transparent !important;text-align: center;}
  footer .nav-link {display: block; padding: .5rem .4rem;}
}

/** Medium devices (tablets, 768px and up)**/
@media (min-width: 768px) {
  footer .nav-link {display: block; padding: .5rem .5rem;}
}

/** Large devices (desktops, 992px and up)**/
@media (min-width: 992px) {  }

/** X-Large devices (large desktops, 1200px and up)**/
@media (min-width: 1200px) {  }

/** XX-Large devices (larger desktops, 1400px and up)**/
@media (min-width: 1400px) {  }




